package com.vetti.common.core.page;

import java.io.Serializable;

/**
 * 表格分页数据对象
 *
 * @author ruoyi
 */
public class TablePageDataInfo<T> implements Serializable {


    private static final long serialVersionUID = 1L;

    /**
     * 消息状态码
     */
    private int code;

    /**
     * 消息内容
     */
    private String msg = "查询成功";

    /**
     * 列表数据
     */
    private TableWebDataInfo<T> data;

    /**
     * 表格数据对象
     */
    public TablePageDataInfo() {

    }

    /**
     * 分页
     *
     * @param data  查询数据
     */
    public TablePageDataInfo(TableWebDataInfo<T> data) {
        this.data = data;
    }


    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public TableWebDataInfo<T> getData() {
        return data;
    }

    public void setData(TableWebDataInfo<T> data) {
        this.data = data;
    }
}

